Get User Summary
curl --request GET \
--url https://api.royalti.io/user/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/user/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/user/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"summary": {
"total": 45,
"byRole": {
"owner": 1,
"admin": 3,
"user": 38,
"guest": 3
},
"byStatus": {
"active": 42,
"inactive": 3
},
"withEmail": 40,
"withPaymentSettings": 25,
"withArtists": 30,
"accounting": {
"totalGross": 5000,
"totalPaid": 3000,
"totalDue": 2000
}
}
}User
Get User Summary
Returns aggregated user statistics for the tenant.
GET
/
user
/
summary
Get User Summary
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Authorization:- Required role:
adminor higher
| Parameter | Type | Description |
|---|---|---|
| startDate (Optional) | string | Filter users created from this date (inclusive) |
| endDate (Optional) | string | Filter users created to this date (inclusive) |
| role (Optional) | string | Filter by user role |
| isActive (Optional) | string | Filter by active status (true/false) |
Code Examples
const response = await fetch('https://api.royalti.io/user/summary', {
method: 'GET',
headers: {
'Authorization': `Bearer ${token}`,
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://api.royalti.io/user/summary',
headers={
'Authorization': f'Bearer {token}'
},
)
data = response.json()
print(data)
curl -X GET https://api.royalti.io/user/summary \
-H "Authorization: Bearer YOUR_TOKEN" \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Query Parameters
Filter users created from this date (inclusive)
Filter users created to this date (inclusive)
Filter by user role
Available options:
owner, admin, user, guest Filter by active status
Available options:
true, false